struct uio_mem
Prev | Userspace IO devices | Next

## Name

struct uio_mem — description of a UIO memory region

## Synopsis

    struct uio_mem {
      struct kobject kobj;
      unsigned long addr;
      unsigned long size;
      int memtype;
      void __iomem * internal_addr;
    };

## Members

kobj

  kobject for this mapping

addr

  address of the device's memory

size

  size of IO

memtype

  type of memory addr points to

internal_addr

  ioremap-ped version of addr, for driver internal use

Prev | Up | Next
uio_unregister_device | Home | struct uio_info